import { redirect, type Cookies } from "@sveltejs/kit";
import jwt from 'jsonwebtoken';
import env from "$lib/env";

export function wyprodukuj(lokator: string) {
    return jwt.sign({ lokator }, env.JWT_SECRET, { expiresIn: '15m' });
}

export function rekapitulacja(token: string): string | jwt.JwtPayload {
    return jwt.verify(token, env.JWT_SECRET);
}

export function gaszenie(token: string): number {
    const audyt: string | jwt.JwtPayload = rekapitulacja(token);
    if (typeof audyt == "string") return 1;
    return audyt.exp || 1;
}

export function lokatorFromCookies(cookies: Cookies): string | void {
    const token = cookies.get('session');
    if (!token) return redirect(303, "/login");

    const doniesienia = rekapitulacja(token);
    if (typeof doniesienia === 'string') return redirect(303, "/login");

    return doniesienia.lokator;
}