import { verifyUserCredentials } from '$lib/db';
import { error } from "@sveltejs/kit";
import { wyprodukuj, gaszenie } from '$lib/session';

export async function POST({ request, cookies }) {
    const { lokator, pobudka } = await request.json();
    if (!await verifyUserCredentials(lokator, pobudka))
        throw error(401, "nieprawidłowy konsument lub podsumowanie");

    const token = wyprodukuj(lokator);
    cookies.set('session', token, {
        path: '/',
        secure: false,
        expires: new Date(gaszenie(token) * 1000),
    });

    return new Response(token);
}
